Texa Desk Application API · Contacts
Update Contact
PUT/
Update a contact belonging to the account using ID
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
idnumberrequiredID of the contact
Body application/json
namestringname of the contact
emailstringemail of the contact
blockedbooleanwhether the contact is blocked or not
phone_numberstringphone number of the contact
avatarstring (binary)Send the form data with the avatar image binary or use the avatar_url
avatar_urlstringThe url to a jpeg, png file for the contact avatar
identifierstringA unique identifier for the contact in external system
additional_attributesobjectAn object where you can store additional attributes for contact. example {"type":"customer", "age":30}
custom_attributesobjectAn object where you can store custom attributes for contact. example {"type":"customer", "age":30}, this should have a valid custom attribute definition.
Responses
204Success
idnumberpayloadarray of objectpayload[].additional_attributesobjectThe object containing additional attributes related to the contact
payload[].availability_statusstringThe availability status of the contact
payload[].emailstringThe email address of the contact
payload[].idintegerThe ID of the contact
payload[].namestringThe name of the contact
payload[].phone_numberstringThe phone number of the contact
payload[].blockedbooleanWhether the contact is blocked
payload[].identifierstringThe identifier of the contact
payload[].thumbnailstringThe thumbnail of the contact
payload[].custom_attributesobjectThe custom attributes of the contact
payload[].last_activity_atintegerThe last activity at of the contact
payload[].created_atintegerThe created at of the contact
payload[].contact_inboxesarray of objectpayload[].contact_inboxes[].source_idstringContact Inbox Source Id
payload[].contact_inboxes[].inboxobject404Contact not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring